package com.sifang.modules.esign.utils;

/**
 * 用于 新短信平台接口 提交短信发送返回结果的model
 */
public class ResResult {
    private String mobile; // 发送的手机号
    private boolean success; // 发送是否成功
    private String msg; // 发送的结果信息，成功返回的是msg_id，失败返回的是错误原因

    public ResResult() {
    }

    public ResResult(String mobile, boolean success, String msg) {
        this.mobile = mobile;
        this.success = success;
        this.msg = msg;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String toString() {
        return "resResult = {" +
                "mobile='" + mobile + '\'' +
                ", success=" + success +
                ", msg='" + msg + '\'' +
                '}';
    }
}
